Skip to end of metadata
Go to start of metadata
 QUESTÕES SOLUCIONADAS NESTE GUIA
  • Configurações da NFC-e 4.0
  • Como configurar a NFC-e 4.0?
  • O que é NFC-e 4.0?
  • Configuração NFC-e 4.0 no PDV

Resultado de imagem para nfce png NFC-e 4.0

A NFC-e 4.0 é o novo layout do cupom fiscal eletrônico definido pelo Governo. Nesse novo modelo foram inseridos novos campos que serão utilizados na validação dos cupons fiscais emitidos.

Caso essas informações não estejam corretamente preenchidas, suas notas ficarão como Rejeitadas e impossibilitarão suas vendas! Portanto, muita atenção em todos os requisitos!



Imagem relacionada Prazo

A NFC-e passará a vigorar no dia 01/10/2018 portanto não deixe para a última hora!


Quais os requisitos?

1º Sistema operacional atualizado: 


Atenção

Verifique com o técnico de informática qual a versão do seu sistema operacional.

Observações: se você utiliza uma versão anterior ao Windows 10, recomendamos que proceda com a atualização do Sistema Operacional, e caso ainda utilize o Windows XP então será necessário a substituição deste Sistema Operacional por uma versão mais recente e que seja compatível com seu hardware.

A partir da versão 4.0 da NFC-e será permitido unicamente o protocolo TLS 1.2, ou versão superior, ou seja, não será mais permitida à comunicação via protocolo SSL.

O motivo desta mudança é pela falta de segurança comprovada no uso do protocolo SSL. 


Windows 10: Esta versão já possui as atualizações mais recentes para utilização do protocolo TLS 1.2. Não é necessário nenhum procedimento adicional para  funcionamento do software nesta versão. Inclui-se neste caso também o Windows Server 2016.


Windows 8 e 8.1: Inicialmente nestas versões do Windows o protocolo TLS 1.2 não está presente. Porém é possível realizar a instalação deste recurso, bastando para isso realizar a atualização através do Windows Update.


Importante

Inclui-se neste caso também as versões do Windows Server 2012 e 2012 R2.

Windows 7: Da mesma forma que no Windows 8, também não está disponível este protocolo na versão do Windows 7.

Neste caso é necessário a atualização do SP1 (Service Pack 1), mais as atualizações de segurança. Esta atualização também pode ser feita através do Windows Update porém será bem mais demorada que na versão do Windows 8. Inclui-se neste caso também as versões do Windows Server 2008, 2008 R2 e Windows Vista.


Windows XP: Já faz algum tempo que a Microsoft anunciou que não seriam mais feitas atualizações para esta versão do Windows. Com isso, infelizmente não será mais possível o uso do Windows XP para emissão de NFC-e na versão 4.0.


Atenção

Precisa estar com todas atualizações do Windows Update aplicadas, mesmo estando com os Windows acima que tenha o protocolo que a SEFAZ solicita para transmissão da NFC-e, protocolo TLS 1.2.



2º TACRetail3 Atualizado:

A NFC-e 4.0 utiliza alguns campos novos no sistema Linx TACRetail3, portanto seu sistema deve estar atualizado!

As adequações foram liberadas a partir da versão 3.0.40.163

Verifique a versão do seu sistema no PDV. Identificação de versão TACRetail3 PDV


3º TR3Config configurado novo layout para 4.0:

Para validar a versão de layout do TR3Config clique no link. Validando parâmetro TR3.config - layout 4.0


4º Tributos e códigos configurados:

Os itens obrigatórios para a validação são:



5º Protocolo TLS 1.2 nas opções de internet:

Será permitido unicamente o protocolo TLS 1.2, ou versão superior, ou seja, não será mais permitida à comunicação via protocolo SSL. 

Clique no link para validar as configurações: Configurando as opções de internet NFC-e 4.0


Dica

Valide todas as informações! Não deixe para a última hora.



Está com alguma dúvida?

Consulte todos nossos guias na busca de nossa página principal clicando aqui.

Write a comment…